| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type Struct Reference

The actual structure used to compare the elements Only "key" is important for comparison. More...

`#include <GaudiKernel/VectorMap.h>`

Inheritance diagram for GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type:
[legend]
Collaboration diagram for GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type:
[legend]

## Public Member Functions
| _compare_type (const key_compare &cmp)
| constructor from the key-comparison criteria More...
| _compare_type ()
| default constructor More...
bool | operator() (const key_type &k1, const key_type &k2) const
| compare keys: use key_compare More...
bool | operator() (const value_type &v1, const value_type &v2) const
| compare pairs (key,mapped): use compare by keys More...
bool | operator() (const key_type &k, const value_type &v) const
| compare key and pair (key,mapped): use compare by keys More...
bool | operator() (const value_type &v, const key_type &k) const
| compare pair (key,mapped) and the key: use compare by keys More...

## Detailed Description

### template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>
struct GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type

The actual structure used to compare the elements Only "key" is important for comparison.

Definition at line 158 of file VectorMap.h.

## Constructor & Destructor Documentation

## ◆ _compare_type() [1/2]

template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>

GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type::_compare_type | ( | const key_compare & | cmp | ) |
| inline

constructor from the key-comparison criteria

Definition at line 162 of file VectorMap.h.

162 : key_compare( cmp ) {}
GaudiUtils::VectorMap::key_compare
KEYCOMPARE key_compare
comparison of keys
Definition: VectorMap.h:110

## ◆ _compare_type() [2/2]

template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>

GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type::_compare_type | ( |  | ) |
| inline

default constructor

Definition at line 164 of file VectorMap.h.

164 : key_compare() {}
GaudiUtils::VectorMap::key_compare
KEYCOMPARE key_compare
comparison of keys
Definition: VectorMap.h:110

## Member Function Documentation

## ◆ operator()() [1/4]

template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>

bool GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type::operator() | ( | const key_type & | k1,
|  | const key_type & | k2
| ) |  | const
| inline

compare keys: use key_compare

Definition at line 166 of file VectorMap.h.

166 {
167 return this->key_compare::operator()( k1, k2 );
168 }

## ◆ operator()() [2/4]

template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>

bool GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type::operator() | ( | const value_type & | v1,
|  | const value_type & | v2
| ) |  | const
| inline

compare pairs (key,mapped): use compare by keys

Definition at line 170 of file VectorMap.h.

170 { return operator()( v1.first, v2.first ); }
GaudiUtils::VectorMap::_compare_type::operator()
bool operator()(const key_type &k1, const key_type &k2) const
compare keys: use key_compare
Definition: VectorMap.h:166

## ◆ operator()() [3/4]

template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>

bool GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type::operator() | ( | const key_type & | k,
|  | const value_type & | v
| ) |  | const
| inline

compare key and pair (key,mapped): use compare by keys

Definition at line 172 of file VectorMap.h.

172 { return operator()( k, v.first ); }
GaudiUtils::VectorMap::_compare_type::operator()
bool operator()(const key_type &k1, const key_type &k2) const
compare keys: use key_compare
Definition: VectorMap.h:166

## ◆ operator()() [4/4]

template<class KEY, class VALUE, class KEYCOMPARE = std::less<const KEY>, class ALLOCATOR = std::allocator<std::pair<KEY, VALUE>>>

bool GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR >::_compare_type::operator() | ( | const value_type & | v,
|  | const key_type & | k
| ) |  | const
| inline

compare pair (key,mapped) and the key: use compare by keys

Definition at line 174 of file VectorMap.h.

174 { return operator()( v.first, k ); }
GaudiUtils::VectorMap::_compare_type::operator()
bool operator()(const key_type &k1, const key_type &k2) const
compare keys: use key_compare
Definition: VectorMap.h:166

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/VectorMap.h